
Foreman - Bug #9425

Remove Default user role which does not work

02/18/2015 03:49 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Users, Roles and Permissions   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3237

  

Description

After permissions were migrated to filters, we do not copy filters from Default user role. See 

https://github.com/theforeman/foreman/blob/develop/app/controllers/roles_controller.rb#L28 and 

http://theforeman.org/manuals/1.7/index.html#4.1.2RolesandPermissions for more details. The fact I didn't find any bug report (it's

broken since 1.5) means that either I didn't search long enough or no one is actually using it. So I'd like to know whether we should

try to fix it or remove it as it seems quite confusing to me. Users can do similar tasks by using role cloning.

Related issues:

Related to Foreman - Refactor #13896: Builtin Roles badly named Closed 02/25/2016

Related to Foreman - Refactor #994: The Role default_user is misleading Rejected 06/17/2011

Associated revisions

Revision 4a4c48e1 - 03/01/2016 05:54 AM - Tomer Brisker

Fixes #9425 - Remove the Default User role

The Default User role is not actually used anywhere, and causes

confusion with the Anonymous role. Removing it.

History

#1 - 02/18/2015 04:15 AM - Dominic Cleal

Yeah, I can't see much point in keeping it.  "Anonymous" is far more important.

#2 - 02/18/2015 06:53 AM - Marek Hulán

So I'll propose dropping this on user mailing list if there are no objections in several days, I'll change this to actually remove it.

#3 - 02/22/2015 08:43 AM - Marek Hulán

- Subject changed from Default user role does not do what manual says to Remove Default user role which does not work

Noone objected so far, let's remove it (also from manual)

#4 - 02/25/2016 08:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3237 added

#5 - 02/25/2016 08:26 AM - Tomer Brisker

- Related to Refactor #13896: Builtin Roles badly named added

#6 - 03/01/2016 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/blob/develop/app/controllers/roles_controller.rb#L28
http://theforeman.org/manuals/1.7/index.html#4.1.2RolesandPermissions


- % Done changed from 0 to 100

Applied in changeset 4a4c48e157781666a665504d7c0f70263515dcfe.

#7 - 03/01/2016 06:02 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#8 - 03/15/2016 04:14 AM - Dominic Cleal

- Related to Refactor #994: The Role default_user is misleading added
